curl --request GET \
--url https://api.thefaithapp.com/v1/videos \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/videos"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"current_page": 1,
"data": [
{
"id": 2,
"client_id": 2,
"category_id": 2,
"title": "A Man Works For His Wife's Father While She Spends Time With Other Guys",
"description": "Today we're reviewing the comedy-drama film from 2007. Get ready for incredible plot twists!\nA man marries a rich woman and works for her father. At the same time, his wife has a habit of inviting strangers to visit to get to know them better, which her husband does not know about.",
"source": "AyWgmsUxXR8",
"duration": "22:01",
"media_type": "4",
"deleted_at": null,
"created_at": "2025-02-08T12:58:14.000000Z",
"updated_at": "2025-02-08T12:58:14.000000Z",
"cover_photo": "https://d2c58p2vdu8kb2.cloudfront.net/cover_photo/BbC3mhHtM7n1znGLGxnqWh4LzQIWCrFo2uyWKW2u.jpg"
}
],
"first_page_url": "https://api.thefaithapp.com/v1/videos?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "https://api.thefaithapp.com/v1/videos?page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://api.thefaithapp.com/v1/videos?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "https://api.thefaithapp.com/v1/videos",
"per_page": 30,
"prev_page_url": null,
"to": 2,
"total": 2
}{
"error_message": "Unauthorized"
}{
"error": "User not found"
}Get Video Sermons
Retrieve a paginated list of video sermons for the authenticated user’s church. Supports optional search and pagination.
curl --request GET \
--url https://api.thefaithapp.com/v1/videos \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/videos"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"current_page": 1,
"data": [
{
"id": 2,
"client_id": 2,
"category_id": 2,
"title": "A Man Works For His Wife's Father While She Spends Time With Other Guys",
"description": "Today we're reviewing the comedy-drama film from 2007. Get ready for incredible plot twists!\nA man marries a rich woman and works for her father. At the same time, his wife has a habit of inviting strangers to visit to get to know them better, which her husband does not know about.",
"source": "AyWgmsUxXR8",
"duration": "22:01",
"media_type": "4",
"deleted_at": null,
"created_at": "2025-02-08T12:58:14.000000Z",
"updated_at": "2025-02-08T12:58:14.000000Z",
"cover_photo": "https://d2c58p2vdu8kb2.cloudfront.net/cover_photo/BbC3mhHtM7n1znGLGxnqWh4LzQIWCrFo2uyWKW2u.jpg"
}
],
"first_page_url": "https://api.thefaithapp.com/v1/videos?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "https://api.thefaithapp.com/v1/videos?page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://api.thefaithapp.com/v1/videos?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "https://api.thefaithapp.com/v1/videos",
"per_page": 30,
"prev_page_url": null,
"to": 2,
"total": 2
}{
"error_message": "Unauthorized"
}{
"error": "User not found"
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Query Parameters
Search term to filter video sermons.
Page number for pagination (default: 1).
Response
Paginated list of video sermons.
Current page number of the result set.
1
List of video sermon objects.
Show child attributes
Show child attributes
URL to the first page of results.
"https://api.thefaithapp.com/v1/videos?page=1"
Index of the first item returned.
1
Last page number of the result set.
1
URL to the last page of results.
"https://api.thefaithapp.com/v1/videos?page=1"
Pagination navigation links.
Show child attributes
Show child attributes
URL to the next page of results, or null if on the last page.
null
Base path for the paginated results.
"https://api.thefaithapp.com/v1/videos"
Number of items per page.
30
URL to the previous page of results, or null if on the first page.
null
Index of the last item returned.
2
Total number of items available.
2
Was this page helpful?